/**
 * Represents a complete "level"
 * @author Torgie
 */

// All scenes need basic logic control
document.write('<script type="text/javascript" src="engine/sprites/logic.js"></script>');

function scene(p) {

	this.settings = {};
	this.settings.name = p.name;

	this.settings.background = (typeof p.background != "undefined") ? p.background : "#FFF";

	this.settings.cameraMinX = (typeof p.cameraMinX == "number") ? p.cameraMinX : 0;
	this.settings.cameraMaxX = (typeof p.cameraMaxX == "number") ? p.cameraMaxX : 5000;
	this.settings.cameraMinY = (typeof p.cameraMinY == "number") ? p.cameraMinY : -1000;
	this.settings.cameraMaxY = (typeof p.cameraMaxY == "number") ? p.cameraMaxY : 0;

	this.sprites = {
		background5: [],
		background4: [],
		background3: [],
		background2: [],
		background1: [],
		game: [],
		foreground: [],
		hud: []
	};

	/**
	 * Pushes a sprite onto the layer stack
	 */
	this.addSprite = function(layer, sprite) {
		this.sprites[layer].push(sprite);
	};

}//end object scene