/**
 * Scene for world 1 - stage 1 - Forest
 * @author Flanagan
 */

/**
 * This scene uses the following global sprites
 */
document.write('<script type="text/javascript" src="sprites/common/effects.js"></script>');
document.write('<script type="text/javascript" src="sprites/common/fg_timeHammer.js"></script>');
document.write('<script type="text/javascript" src="sprites/common/gp_player.js"></script>');
document.write('<script type="text/javascript" src="sprites/common/scenery.js"></script>');

document.write('<script type="text/javascript" src="sprites/world1/gp_block40.js"></script>');
document.write('<script type="text/javascript" src="sprites/world1/gp_rous.js"></script>');
document.write('<script type="text/javascript" src="sprites/world1/gp_wolf.js"></script>');
document.write('<script type="text/javascript" src="sprites/world1/gp_werewolf.js"></script>');

document.write('<script type="text/javascript" src="sprites/world1/audio.js"></script>');
document.write('<script type="text/javascript" src="sprites/world1/birds.js"></script>');
document.write('<script type="text/javascript" src="sprites/world1/boss.js"></script>');
document.write('<script type="text/javascript" src="sprites/world1/cave.js"></script>');

document.write('<script type="text/javascript" src="sprites/common/cutscene0.js"></script>'); //fade in
document.write('<script type="text/javascript" src="sprites/world1/cutscene3.js"></script>'); // Run toward waterfall
document.write('<script type="text/javascript" src="sprites/world1/cutscenelvl1dash1.js"></script>'); // Level switch

document.write('<script type="text/javascript" src="sprites/world1/ground.js"></script>');
document.write('<script type="text/javascript" src="sprites/world1/scenery.js"></script>');
document.write('<script type="text/javascript" src="sprites/world1/trees.js"></script>');

function world1stage1() {

	p = {
		name: "world1stage1",
		background: "#FFFFFF url(images/world1.jpg) no-repeat",
		cameraMinX: 0,
		cameraMinY: -1000,
		cameraMaxX: 9136,
		cameraMaxY: 0
	};

	this.scene = new scene(p);

	this.scene.addSprite("background4", new sprite_sfx_world1());
	this.scene.addSprite("background4", new sprite_bg4_trees({
		x: 250,
		y: 128
	}));
	this.scene.addSprite("background4", new sprite_bg4_trees({
		x: 650,
		y: 128
	}));
	this.scene.addSprite("background4", new sprite_bg4_trees({
		x: 1050,
		y: 128
	}));
	this.scene.addSprite("background4", new sprite_bg4_trees({
		x: 1450,
		y: 128
	}));
	this.scene.addSprite("background4", new sprite_bg4_trees({
		x: 1850,
		y: 128
	}));
	this.scene.addSprite("background4", new sprite_bg4_trees({
		x: 2250,
		y: 128
	}));
	this.scene.addSprite("background4", new sprite_bg4_trees({
		x: 2650,
		y: 128
	}));
	this.scene.addSprite("background4", new sprite_bg4_trees({
		x: 3050,
		y: 128
	}));
	this.scene.addSprite("background4", new sprite_bg4_trees({
		x: 3450,
		y: 128
	}));
	this.scene.addSprite("background4", new sprite_bg4_trees({
		x: 3850,
		y: 128
	}));
	this.scene.addSprite("background4", new sprite_bg4_trees({
		x: 4250,
		y: 128
	}));
	this.scene.addSprite("background4", new sprite_bg4_trees({
		x: 4650,
		y: 128
	}));
	this.scene.addSprite("background4", new sprite_bg4_trees({
		x: 5050,
		y: 128
	}));
	this.scene.addSprite("background4", new sprite_bg4_trees({
		x: 5450,
		y: 128
	}));
	this.scene.addSprite("background4", new sprite_bg4_trees({
		x: 5850,
		y: 128
	}));
	this.scene.addSprite("background4", new sprite_bg4_trees({
		x: 6250,
		y: 128
	}));
	this.scene.addSprite("background4", new sprite_bg4_trees({
		x: 6650,
		y: 128
	}));
	this.scene.addSprite("background4", new sprite_bg4_trees({
		x: 7050,
		y: 128
	}));
	this.scene.addSprite("background4", new sprite_bg4_trees({
		x: 7450,
		y: 128
	}));
	this.scene.addSprite("background4", new sprite_bg4_trees({
		x: 7850,
		y: 128
	}));
	this.scene.addSprite("background4", new sprite_bg4_trees({
		x: 8250,
		y: 128
	}));
	this.scene.addSprite("background4", new sprite_bg4_trees({
		x: 8650,
		y: 128
	}));
	this.scene.addSprite("background4", new sprite_bg4_trees({
		x: 9050,
		y: 128
	}));
	this.scene.addSprite("background4", new sprite_bg4_trees({
		x: 9450,
		y: 128
	}));
	this.scene.addSprite("background4", new sprite_bg4_trees({
		x: 9850,
		y: 128
	}));
	this.scene.addSprite("background4", new sprite_bg4_trees({
		x: 10250,
		y: 128
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree04({
		x: 440,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree03({
		x: 519,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree06({
		x: 598,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree02({
		x: 662,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree01({
		x: 696,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree04({
		x: 761,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree01({
		x: 827,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree06({
		x: 876,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree05({
		x: 890,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree01({
		x: 976,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree03({
		x: 1009,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree05({
		x: 1064,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree06({
		x: 1169,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree02({
		x: 1220,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree05({
		x: 1256,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree06({
		x: 1317,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree01({
		x: 1361,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree02({
		x: 1459,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree03({
		x: 1503,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree06({
		x: 1551,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree01({
		x: 1628,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree03({
		x: 1660,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree05({
		x: 1712,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree02({
		x: 1776,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree01({
		x: 1834,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree04({
		x: 1868,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree02({
		x: 1941,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree01({
		x: 2024,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree03({
		x: 2056,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree05({
		x: 2143,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree01({
		x: 2187,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree04({
		x: 2262,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree03({
		x: 2291,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree01({
		x: 2362,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree02({
		x: 2751,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree04({
		x: 2463,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree02({
		x: 2538,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree06({
		x: 2675,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree01({
		x: 2626,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree03({
		x: 2821,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree01({
		x: 2869,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree03({
		x: 3065,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree05({
		x: 2974,
		y: 17
	}));
	this.scene.addSprite("background3", new sprite_bg3_tree02({
		x: 2932,
		y: 17
	}));
	this.scene.addSprite("background2", new sprite_bg2_bird({
		x: 1400,
		y: 158
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree03({
		x: 874,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree06({
		x: 990,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree01({
		x: 1092,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree06({
		x: 1188,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree02({
		x: 1269,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree05({
		x: 1300,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree03({
		x: 1404,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree05({
		x: 1531,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree04({
		x: 1551,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree05({
		x: 1641,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree06({
		x: 1731,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree05({
		x: 1886,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree04({
		x: 1906,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree02({
		x: 2010,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree04({
		x: 2075,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree03({
		x: 2213,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree06({
		x: 2279,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree01({
		x: 2370,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree04({
		x: 2424,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree02({
		x: 2529,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree01({
		x: 2595,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree04({
		x: 2672,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree05({
		x: 2802,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree06({
		x: 2871,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree03({
		x: 2976,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree06({
		x: 3056,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree03({
		x: 3109,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree02({
		x: 3205,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree04({
		x: 3287,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree05({
		x: 3369,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree01({
		x: 3507,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree04({
		x: 3588,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree02({
		x: 3633,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree05({
		x: 3778,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree03({
		x: 3846,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree05({
		x: 3948,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree01({
		x: 4040,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree05({
		x: 4068,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree06({
		x: 4161,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree04({
		x: 4235,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree06({
		x: 4334,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree04({
		x: 4420,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree02({
		x: 4539,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree04({
		x: 4609,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree03({
		x: 4716,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree04({
		x: 4788,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree06({
		x: 4835,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree05({
		x: 4916,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree01({
		x: 5009,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree05({
		x: 5111,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree01({
		x: 5192,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_tree02({
		x: 5308,
		y: -195
	}));
	this.scene.addSprite("background2", new sprite_bg2_pillar({
		x: 1022,
		y: 355
	}));
	this.scene.addSprite("background2", new sprite_bg2_pillar({
		x: 982,
		y: 355
	}));
	this.scene.addSprite("background2", new sprite_bg2_pillar({
		x: 1779,
		y: 355
	}));
	this.scene.addSprite("background2", new sprite_bg2_pillar({
		x: 1523,
		y: 355
	}));
	this.scene.addSprite("background2", new sprite_bg2_pillar({
		x: 3775,
		y: 355
	}));
	this.scene.addSprite("background2", new sprite_bg2_bird({
		x: 1779,
		y: 300
	}));
	this.scene.addSprite("background2", new sprite_bg2_bird({
		x: 2382.5,
		y: 177
	}));
	this.scene.addSprite("background2", new sprite_bg2_bird({
		x: 2805,
		y: 254
	}));
	this.scene.addSprite("background2", new sprite_bg2_bird({
		x: 3301,
		y: 225
	}));
	this.scene.addSprite("background2", new sprite_bg2_bird({
		x: 3157.5,
		y: -54.5
	}));
	this.scene.addSprite("background2", new sprite_bg2_bird({
		x: 3543.5,
		y: 24.5
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree06({
		x: 2131,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree01({
		x: 2341,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree05({
		x: 2434,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree03({
		x: 2664,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree02({
		x: 2770,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree01({
		x: 3029,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree05({
		x: 3190,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree02({
		x: 3311,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree05({
		x: 3479,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree03({
		x: 3634,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree04({
		x: 3866,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree06({
		x: 4026,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree05({
		x: 4129,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree02({
		x: 4749,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree02({
		x: 4988,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree06({
		x: 5149,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree01({
		x: 5359,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree03({
		x: 5494,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree05({
		x: 5711,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree04({
		x: 5934,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree03({
		x: 6040,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree06({
		x: 6451,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree05({
		x: 6570,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree06({
		x: 6702,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree02({
		x: 6872,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree01({
		x: 7081,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree02({
		x: 7223,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree04({
		x: 7394,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree01({
		x: 7593,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree04({
		x: 7736,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree05({
		x: 8030,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree01({
		x: 8101,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree04({
		x: 8334,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree06({
		x: 8437,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree02({
		x: 8711,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree06({
		x: 8814,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree02({
		x: 8932,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree01({
		x: 9102,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree02({
		x: 9447,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree05({
		x: 9580,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree01({
		x: 9708,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_bg1_tree05({
		x: 9798,
		y: -372
	}));
	this.scene.addSprite("background1", new sprite_fg_thornbush3({
		x: 241,
		y: 335
	}));
	this.scene.addSprite("background1", new sprite_fg_fern1({
		x: 519,
		y: 378
	}));
	this.scene.addSprite("background1", new sprite_fg_thornbush3({
		x: 760,
		y: 335
	}));
	this.scene.addSprite("background1", new sprite_fg_grass2({
		x: 1082,
		y: 410
	}));
	this.scene.addSprite("background1", new sprite_fg_thornbush1({
		x: 1862,
		y: 336
	}));
	this.scene.addSprite("background1", new sprite_fg_grass1({
		x: 2006,
		y: 410
	}));
	this.scene.addSprite("background1", new sprite_bg1_pillar({
		x: 1246,
		y: 268
	}));
	this.scene.addSprite("background1", new sprite_fg_busted_block40({
		x: 1151,
		y: 398
	}));
	this.scene.addSprite("background1", new sprite_fg_thornbush1_lrg({
		x: -220,
		y: 259
	}));
	this.scene.addSprite("background1", new sprite_fg_thornbush1({
		x: -27,
		y: 335
	}));
	this.scene.addSprite("background1", new sprite_fg_thornbush2({
		x: 200,
		y: 335
	}));
	this.scene.addSprite("background1", new sprite_fg_thornbush3({
		x: 146,
		y: 259
	}));
	this.scene.addSprite("background1", new sprite_fg_thornbush3({
		x: 15,
		y: 313
	}));
	this.scene.addSprite("background1", new sprite_fg_thornbush3({
		x: -43,
		y: 244
	}));
	this.scene.addSprite("background1", new sprite_fg_grass1({
		x: 1,
		y: 410
	}));
	this.scene.addSprite("background1", new sprite_bg1_pit50({
		x: 2650,
		y: 428
	}));
	this.scene.addSprite("background1", new sprite_bg1_pit50({
		x: 2950,
		y: 428
	}));
	this.scene.addSprite("background1", new sprite_bg1_pit50({
		x: 3000,
		y: 428
	}));
	this.scene.addSprite("background1", new sprite_bg1_pit50({
		x: 3650,
		y: 428
	}));
	this.scene.addSprite("background1", new sprite_bg1_pit500({
		x: 4300,
		y: 428
	}));
	this.scene.addSprite("background1", new sprite_bg1_pit50({
		x: 4900,
		y: 428
	}));
	this.scene.addSprite("background1", new sprite_bg1_pit50({
		x: 4950,
		y: 428
	}));
	this.scene.addSprite("background1", new sprite_bg1_pit50({
		x: 6200,
		y: 428
	}));
	this.scene.addSprite("background1", new sprite_bg1_pit50({
		x: 6250,
		y: 428
	}));
	this.scene.addSprite("background1", new sprite_bg1_pit50({
		x: 6300,
		y: 428
	}));
	this.scene.addSprite("background1", new sprite_bg1_pit50({
		x: 6350,
		y: 428
	}));
	this.scene.addSprite("background1", new sprite_bg1_pit50({
		x: 6400,
		y: 428
	}));
	this.scene.addSprite("background1", new sprite_bg1_pit50({
		x: 9250,
		y: 428
	}));
	this.scene.addSprite("background1", new sprite_bg1_pit50({
		x: 9300,
		y: 428
	}));
	this.scene.addSprite("background1", new sprite_bg1_pit50({
		x: 9350,
		y: 428
	}));
	this.scene.addSprite("background1", new sprite_bg1_pit50({
		x: 9400,
		y: 428
	}));
	this.scene.addSprite("background1", new sprite_bg1_pit50({
		x: 9450,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_checkpoint({
		x: 610,
		y: 308,
		width: 20,
		height: 400
	}));
	this.scene.addSprite("game", new sprite_gp_givePlayerControl({
		x: 100,
		y: 378,
		width: 50,
		height: 50
	}));
	this.scene.addSprite("game", new sprite_gp_sfx({
		x: 50,
		y: -460,
		width: 200,
		height: 10,
		audio: "sfx_world1_introFall"
	}));
	this.scene.addSprite("game", new sprite_gp_earth500({
		x: 0,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_earth500({
		x: 500,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_earth500({
		x: 1000,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_earth500({
		x: 1500,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 1181,
		y: 388
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 1246,
		y: 228
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 1286,
		y: 228
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 1326,
		y: 228
	}));
	this.scene.addSprite("game", new sprite_gp_sfx({
		x: 400,
		y: 308,
		uniqueID: "sfx_bgm",
		width: 10,
		height: 120,
		audio: "sfx_world1_bgm"
	}));
	this.scene.addSprite("game", new sprite_gp_player({
		x: 100,
		y: -470,
		uniqueID: "p1",
		currentAnimation: "fall"
	}));
	this.scene.addSprite("game", new sprite_gp_bird({
		x: 1229,
		y: 208
	}));
	this.scene.addSprite("game", new sprite_gp_earth500({
		x: 2000,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_earth50({
		x: 2500,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_earth50({
		x: 2550,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_pitRight({
		x: 2600,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_pitLeft({
		x: 2700,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_earth50({
		x: 2750,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_earth50({
		x: 2800,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_earth50({
		x: 2850,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_pitRight({
		x: 2900,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_pitLeft({
		x: 3050,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_earth500({
		x: 3100,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_pitRight({
		x: 3600,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_pitLeft({
		x: 3700,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_earth500({
		x: 3750,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_pitRight({
		x: 4250,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_pitLeft({
		x: 4800,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_pitRight({
		x: 4850,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_pitLeft({
		x: 5000,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_earth500({
		x: 5050,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_earth500({
		x: 5550,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_earth50({
		x: 6050,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_earth50({
		x: 6100,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_pitRight({
		x: 6150,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_pitLeft({
		x: 6450,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_earth500({
		x: 6500,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_earth500({
		x: 7000,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_earth500({
		x: 7500,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_earth500({
		x: 8000,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_earth500({
		x: 8500,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_earth50({
		x: 9000,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_earth50({
		x: 9050,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_earth50({
		x: 9100,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_earth50({
		x: 9150,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_pitRight({
		x: 9200,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_pitLeft({
		x: 9500,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_earth500({
		x: 9550,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_gp_solidblock40({
		x: 2021,
		y: 290
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 1981,
		y: 290
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 1941,
		y: 290
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 1902,
		y: 309
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 1761,
		y: 388
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 2187,
		y: 223
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 3368,
		y: 388
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 3047,
		y: 388
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 3360,
		y: 348
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 3380,
		y: 309
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 2061,
		y: 290
	}));
	this.scene.addSprite("game", new sprite_gp_solidblock40({
		x: 4023,
		y: 348
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 4041,
		y: 309
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 4001,
		y: 309
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 3961,
		y: 309
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 4081,
		y: 309
	}));
	this.scene.addSprite("game", new sprite_gp_solidblock40({
		x: 4024,
		y: 388
	}));
	this.scene.addSprite("game", new sprite_gp_solidblock40({
		x: 3921,
		y: 309
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 4289,
		y: 414
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 4329,
		y: 414
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 4376,
		y: 414
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 4416,
		y: 414
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 4467,
		y: 414
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 4522,
		y: 414
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 4764,
		y: 414
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 4719,
		y: 414
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 4948,
		y: 448
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5128,
		y: 270
	}));
	this.scene.addSprite("game", new sprite_gp_solidblock40({
		x: 5128,
		y: 310
	}));
	this.scene.addSprite("game", new sprite_gp_solidblock40({
		x: 5394,
		y: 388
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5277,
		y: 388
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5316,
		y: 362
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5355,
		y: 339
	}));
	this.scene.addSprite("game", new sprite_gp_solidblock40({
		x: 5395,
		y: 348
	}));
	this.scene.addSprite("game", new sprite_gp_solidblock40({
		x: 5396,
		y: 308
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5397,
		y: 268
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5336,
		y: 230
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5376,
		y: 230
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5296,
		y: 230
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5256,
		y: 230
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5216,
		y: 230
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5176,
		y: 230
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5136,
		y: 230
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5148,
		y: 190
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5135,
		y: 151
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5123,
		y: 112
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5139,
		y: 73
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5138,
		y: 33
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5382,
		y: 150
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5179,
		y: 71
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5219,
		y: 71
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5259,
		y: 71
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5299,
		y: 71
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5339,
		y: 71
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5379,
		y: 71
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5381,
		y: 110
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5383,
		y: 190
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5396,
		y: 31
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5817,
		y: 388
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5549,
		y: 277
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5589,
		y: 277
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5629,
		y: 277
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5857,
		y: 388
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5844,
		y: 349
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5387,
		y: -9
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5374,
		y: -48
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5250,
		y: -79
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5612,
		y: -194
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5834,
		y: -231
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 6043,
		y: -222
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 6312,
		y: -197
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 5407,
		y: -142
	}));
	this.scene.addSprite("game", new sprite_gp_solidblock40({
		x: 6570,
		y: 388
	}));
	this.scene.addSprite("game", new sprite_gp_solidblock40({
		x: 6570,
		y: 348
	}));
	this.scene.addSprite("game", new sprite_gp_solidblock40({
		x: 6569,
		y: 308
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 6590,
		y: 269
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 6630,
		y: 269
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 6818,
		y: 269
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 6778,
		y: 269
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 6530,
		y: 388
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 6832,
		y: 308
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 6845,
		y: 348
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 6857,
		y: 388
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 6897,
		y: 388
	}));
	this.scene.addSprite("game", new sprite_gp_greywolf({
		x: 6712,
		y: 355
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 6987,
		y: 249
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 7027,
		y: 249
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 7249,
		y: 283
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 7289,
		y: 283
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 7340,
		y: 283
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 7380,
		y: 283
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 7420,
		y: 283
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 7486,
		y: 283
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 7538,
		y: 283
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 7756,
		y: 246
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 7796,
		y: 246
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 7997,
		y: 261
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 8523,
		y: 388
	}));
	this.scene.addSprite("game", new sprite_gp_solidblock40({
		x: 9373,
		y: 355
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 8176,
		y: 388
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 8216,
		y: 388
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 8198,
		y: 349
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 7403,
		y: 388
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 7402,
		y: 348
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 7827,
		y: 388
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 8211,
		y: 214
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 8429,
		y: 230
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 8469,
		y: 230
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 8509,
		y: 230
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 8742,
		y: 238
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 8868,
		y: 276
	}));
	this.scene.addSprite("game", new sprite_gp_block40({
		x: 9118,
		y: 289
	}));
	this.scene.addSprite("game", new sprite_gp_bird({
		x: 6024,
		y: -242
	}));
	this.scene.addSprite("game", new sprite_gp_bird({
		x: 3902,
		y: 288
	}));
	this.scene.addSprite("game", new sprite_gp_bird({
		x: 8192,
		y: 194
	}));
	this.scene.addSprite("game", new sprite_gp_rous({
		x: 1635,
		y: 393
	}));
	this.scene.addSprite("game", new sprite_gp_rous({
		x: 3168,
		y: 394
	}));
	this.scene.addSprite("game", new sprite_gp_rous({
		x: 5523,
		y: 394
	}));
	this.scene.addSprite("game", new sprite_gp_rous({
		x: 7974,
		y: 393
	}));
	this.scene.addSprite("game", new sprite_gp_checkpoint({
		x: 5135,
		y: 320,
		width: 20,
		height: 400
	}));
	this.scene.addSprite("game", new sprite_cutscene_runright({
		x: 9439,
		y: 277,
		width: 50,
		height: 50
	}));
	this.scene.addSprite("game", new sprite_gp_earth500({
		x: 10050,
		y: 428
	}));
	this.scene.addSprite("game", new sprite_cutscene_level({
		x: 9935,
		y: 371,
		width: 50,
		height: 50
	}));
	this.scene.addSprite("game", new sprite_gp_solidblock40({
		x: 10184,
		y: 377
	}));
	this.scene.addSprite("foreground", new sprite_fg_timeHammer_shadow({
		x: 0,
		y: 264
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass1({
		x: 400,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass2({
		x: 100,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_thornbush2({
		x: 638,
		y: 335
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass2({
		x: 593,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass1({
		x: 871,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass2({
		x: 1303,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_fern2({
		x: 1014,
		y: 377
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass1({
		x: 1756,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_thornbush3({
		x: 1515,
		y: 335
	}));
	this.scene.addSprite("foreground", new sprite_fg_tree02({
		x: 1746,
		y: -572
	}));
	this.scene.addSprite("foreground", new sprite_fg_pillar({
		x: 1327,
		y: 268
	}));
	this.scene.addSprite("foreground", new sprite_fg_thornbush2_lrg({
		x: -157,
		y: 242
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass2({
		x: 35,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass1({
		x: 216,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass1({
		x: 108,
		y: 409
	}));
	this.scene.addSprite("foreground", new sprite_fg_pillar({
		x: 2432,
		y: 268
	}));
	this.scene.addSprite("foreground", new sprite_fg_busted_block40({
		x: 2441,
		y: 238
	}));
	this.scene.addSprite("foreground", new sprite_fg_busted_block40({
		x: 3338,
		y: 398
	}));
	this.scene.addSprite("foreground", new sprite_fg_fern1({
		x: 2365,
		y: 378
	}));
	this.scene.addSprite("foreground", new sprite_fg_thornbush1({
		x: 1911,
		y: 335
	}));
	this.scene.addSprite("foreground", new sprite_fg_thornbush3({
		x: 3005,
		y: 335
	}));
	this.scene.addSprite("foreground", new sprite_fg_tree01({
		x: 2688,
		y: -572
	}));
	this.scene.addSprite("foreground", new sprite_fg_tree03({
		x: 3370,
		y: -572
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass1({
		x: 2210,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass2({
		x: 2472,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass1({
		x: 2700,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass2({
		x: 3123,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass1({
		x: 3446,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass2({
		x: 3725,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass1({
		x: 3866,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass1({
		x: 4052,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass2({
		x: 4137,
		y: 411
	}));
	this.scene.addSprite("foreground", new sprite_fg_thornbush2({
		x: 3811,
		y: 335
	}));
	this.scene.addSprite("foreground", new sprite_fg_thornbush3({
		x: 4065,
		y: 335
	}));
	this.scene.addSprite("foreground", new sprite_fg_fern1({
		x: 3397,
		y: 378
	}));
	this.scene.addSprite("foreground", new sprite_fg_fern2({
		x: 3512,
		y: 377
	}));
	this.scene.addSprite("foreground", new sprite_fg_fern2({
		x: 3973,
		y: 377
	}));
	this.scene.addSprite("foreground", new sprite_fg_fern1({
		x: 4766,
		y: 378
	}));
	this.scene.addSprite("foreground", new sprite_fg_fern2({
		x: 4818,
		y: 379
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass1({
		x: 5020,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass2({
		x: 5220,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_fern1({
		x: 5307,
		y: 379
	}));
	this.scene.addSprite("foreground", new sprite_fg_tree01({
		x: 5537,
		y: -572
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass1({
		x: 5474,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass2({
		x: 5790,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass1({
		x: 5946,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_thornbush1({
		x: 5760,
		y: 335
	}));
	this.scene.addSprite("foreground", new sprite_fg_thornbush2({
		x: 5847,
		y: 335
	}));
	this.scene.addSprite("foreground", new sprite_fg_thornbush3({
		x: 5531,
		y: 335
	}));
	this.scene.addSprite("foreground", new sprite_fg_fern2({
		x: 6455,
		y: 377
	}));
	this.scene.addSprite("foreground", new sprite_fg_thornbush3({
		x: 6667,
		y: 336
	}));
	this.scene.addSprite("foreground", new sprite_fg_fern2({
		x: 6747,
		y: 378
	}));
	this.scene.addSprite("foreground", new sprite_fg_fern1({
		x: 6593,
		y: 378
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass1({
		x: 6635,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass1({
		x: 6930,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass2({
		x: 7120,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass1({
		x: 7272,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass2({
		x: 7438,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass2({
		x: 7668,
		y: 411
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass1({
		x: 7559,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass1({
		x: 7875,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass2({
		x: 8030,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass2({
		x: 8358,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass1({
		x: 8563,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass2({
		x: 8663,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass1({
		x: 8863,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass2({
		x: 9050,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass1({
		x: 9549,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_grass2({
		x: 9808,
		y: 410
	}));
	this.scene.addSprite("foreground", new sprite_fg_fern1({
		x: 9735,
		y: 379
	}));
	this.scene.addSprite("foreground", new sprite_fg_thornbush1({
		x: 9009,
		y: 336
	}));
	this.scene.addSprite("foreground", new sprite_fg_thornbush3({
		x: 8476,
		y: 335
	}));
	this.scene.addSprite("foreground", new sprite_fg_thornbush2({
		x: 8008,
		y: 336
	}));
	this.scene.addSprite("foreground", new sprite_fg_thornbush1({
		x: 7393,
		y: 335
	}));
	this.scene.addSprite("foreground", new sprite_fg_thornbush3({
		x: 7513,
		y: 336
	}));
	this.scene.addSprite("foreground", new sprite_fg_fern2({
		x: 7159,
		y: 377
	}));
	this.scene.addSprite("foreground", new sprite_fg_fern2({
		x: 6285,
		y: -247
	}));
	this.scene.addSprite("foreground", new sprite_fg_stage1({
		x: 330,
		y: 31
	}));
	this.scene.addSprite("hud", new sprite_fg_heart({
		uniqueID: "playerHealth"
	}));
	this.scene.addSprite("hud", new sprite_fg_musicButton({
		uniqueID: "musicButton"
	}));
	this.scene.addSprite("hud", new sprite_fg_sfxButton({
		uniqueID: "sfxButton"
	}));
	return this.scene;
}//end AUTO-GENERATED scene