/**
 * @author Torgie
 */
function sprite_splode(p) {
	p.type = "effect";
	p.name = "splode";
	p.src = {
		pow: "images/sprites/Splode.png"
	};
	p.width = 100;
	p.height = 100;

	this.sprite = new sprite(p);

	this.sprite.audio = {
		sfx: {
			src: [
				"sfx/splode.ogg",
				"sfx/splode.wav"
			]
		}
	};

	this.sprite.facingRight = true;

	this.sprite.frames = 0;
	this.sprite.currentAnimation = "pow";
	this.sprite.animation = {
		pow: {
			frames: 10,
			currentFrame: 0,
			flipEvery: 1,
			flip: 0
		}
	};

	// Declare the logic step
	this.sprite.first = true;
	this.sprite.logic = function(engine) {
		if (this.first) {
			sB = engine.getSprite("sfxButton");
			if(sB.currentAnimation == "on")
				engine.playAudio("splode_sfx");
			this.first = false;
		}

		this.animation.pow.flip += 1;

		if(++this.frames > 10)
			engine.destroySprite(this.id, true);
	};//end function logic

	return this.sprite;
}//end object

function sprite_redSplode(p) {
	p.type = "effect";
	p.name = "redSplode";
	p.src = {
		pow: "images/sprites/RedSplode.png"
	};
	p.width = 100;
	p.height = 100;

	this.sprite = new sprite(p);

	this.sprite.audio = {
		sfx: {
			src: [
				"sfx/splode.ogg",
				"sfx/splode.wav"
			]
		}
	};

	this.sprite.facingRight = true;

	this.sprite.frames = 0;
	this.sprite.currentAnimation = "pow";
	this.sprite.animation = {
		pow: {
			frames: 10,
			currentFrame: 0,
			flipEvery: 1,
			flip: 0
		}
	};

	// Declare the logic step
	this.sprite.first = true;
	this.sprite.logic = function(engine) {
		if (this.first) {
			sB = engine.getSprite("sfxButton");
			if(sB.currentAnimation == "on")
				engine.playAudio("splode_sfx");
			this.first = false;
		}

		this.animation.pow.flip += 1;

		if(++this.frames > 10)
			engine.destroySprite(this.id, true);
	};//end function logic

	return this.sprite;
}//end object

function sprite_tinyCloud(p) {
	p.type = "scenery";
	p.name = "tinyCloud";
	p.src = "images/sprites/tinyCloud.png";

	p.width = 20;
	p.height = 16;

	this.sprite = new sprite(p);

	this.sprite.age = 0;
	this.sprite.maxAge = 20;

	// Declare the logic step
	this.sprite.logic = function(engine) {
		if(++this.age >= this.maxAge)
			engine.destroySprite(this.id, true);

		this.x += this.speedX;
		this.y += this.speedY;
	};//end function logic

	this.sprite.render = function(resource, context, gs, renderPoint){
		var ga = context.globalAlpha;

		context.globalAlpha = 1 - (this.age / this.maxAge);

		context.drawImage(
			resource,			// Resource object
			0,					// Source X position
			0,					// Source Y position
			this.width,			// Source width
			this.height,		// Source height
			renderPoint.x,		// Target X position
			renderPoint.y,		// Target Y position
			this.renderWidth,	// Target width
			this.renderHeight	// Target height
		);

		context.globalAlpha = ga;
	};

	return this.sprite;
}//end object

function sprite_bling(p) {
	p.type = "scenery";
	p.name = "bling";
	p.src = "images/sprites/bling.png";

	p.width = 250;
	p.height = 250;

	this.sprite = new sprite(p);

	this.sprite.age = 0;
	this.sprite.sineIndex = 0;

	this.sprite.blendMode = "source-over";

	// Declare the logic step
	this.sprite.logic = function(engine) {
		if(++this.age % 10 == 0)
			this.sineIndex++;

		this.x += this.speedX;
		this.y += this.speedY;
	};//end function logic

	this.sprite.render = function(resource, context, gs, renderPoint){
		var ga = context.globalAlpha;

		var newAlpha = (Math.sin(this.age / 10) + 1) / 2;
		context.globalAlpha = newAlpha;
		context.globalCompositeOperation = this.blendMode;

		context.drawImage(
			resource,			// Resource object
			0,					// Source X position
			0,					// Source Y position
			this.width,			// Source width
			this.height,		// Source height
			renderPoint.x,		// Target X position
			renderPoint.y,		// Target Y position
			this.renderWidth,	// Target width
			this.renderHeight	// Target height
		);


		context.globalCompositeOperation = "source-over";
		context.globalAlpha = ga;
	};

	return this.sprite;
}//end object
