/**
 * @author Torgie + Flanagan
 */

//Button object
function Button(xL, xR, yT, yB) {
	this.xLeft = xL;
	this.xRight = xR;
	this.yTop = yT;
	this.yBottom = yB;
};

Button.prototype.checkClicked = function(x, y) {
	mouseX = x;
	mouseY = y;
	if (this.xLeft <= mouseX && mouseX <= this.xRight && this.yTop <= mouseY && mouseY <= this.yBottom) return true;
};
//End Button object

function mButtonInit () {
	document.addEventListener('click', mouseClicked, false);
}; // end function mButtonInit
	
//Check to see if the button is being clicked on
function mouseClicked(e) {
	var btnMusic = new Button(8, 38, 10, 40);
	var btnSfx = new Button(46, 76, 10, 40);
	var mouseX = 0;
	var mouseY = 0;
	var canvasBg = document.getElementById('canvas');
	mouseX = e.pageX - canvasBg.offsetLeft;
	mouseY = e.pageY - canvasBg.offsetTop;
	if (btnMusic.checkClicked(mouseX, mouseY)) changeMusic();
	if (btnSfx.checkClicked(mouseX, mouseY)) changeSfx();
};
	
function changeMusic () {
	mB = e.getSprite("musicButton");
	if(mB.currentAnimation == "on")
		mB.setAnimation("off");
	else
		mB.setAnimation("on");
        //throw new Error("music");
}; // end function changeMusic
	
function changeSfx () {
	sB = e.getSprite("sfxButton");
	if(sB.currentAnimation == "on")
		sB.setAnimation("off");
	else
		sB.setAnimation("on");
        //throw new Error("sfx");
}; // end function changeMusic

function sprite_fg_musicButton() {
	p.type = "ui";
	p.name = "fg_musicButton";
	p.src = {
		on: "images/sprites/musicButtonOn.png",
		off: "images/sprites/musicButtonOff.png"
	};
	p.width = 30;
	p.height = 30;
	p.uniqueID = "musicButton";
	
	this.sprite = new sprite(p);	
	this.sprite.animation = {
		on: {
			frames: 1,
			currentFrame: 0,
			flipEvery: 0,
			flip: 0
		},
		off: {
			frames: 1,
			currentFrame: 0,
			flipEvery: 0,
			flip: 0
		}
	};
	this.sprite.currentAnimation = "on";
	this.sprite.stage = 0;

	this.sprite.render = function(resource, context, gs, renderPoint) {

		var sourceX = 0;

		var x = gs.width - 856;
		var y = 10;

		// Draw the sprite to the screen
		try {
			context.drawImage(
				resource,			// Resource object
				sourceX,			// Source X position
				0,					// Source Y position
				this.width,			// Source width
				this.height,		// Source height
				x,					// Target X position
				y,					// Target Y position
				this.renderWidth,	// Target width
				this.renderHeight	// Target height
			);
		}
		catch(e) {
			console.debug(this.name + ".drawImage(" + resource + ",0,0," + this.width + "," + this.height + "," + x + "," + y + "," + this.width + "," + this.height + ")");
		}
	}

	var musicInit = 0;
	
	this.sprite.logic = function(engine) {
		if (musicInit == 0) {
			mButtonInit();
			musicInit = 1;
		}
	}; // end function logic
	
	return this.sprite;
}

function sprite_fg_sfxButton() {
	p.type = "ui";
	p.name = "fg_sfxButton";
	p.src = {
		on: "images/sprites/sfxButtonOn.png",
		off: "images/sprites/sfxButtonOff.png"
	};
	p.width = 30;
	p.height = 30;
	p.uniqueID = "sfxButton";
	
	this.sprite = new sprite(p);
	this.sprite.animation = {
		on: {
			frames: 1,
			currentFrame: 0,
			flipEvery: 0,
			flip: 0
		},
		off: {
			frames: 1,
			currentFrame: 0,
			flipEvery: 0,
			flip: 0
		}
	};
	this.sprite.currentAnimation = "on";

	this.sprite.render = function(resource, context, gs, renderPoint) {

		var sourceX = 0;

		var x = gs.width - 818;
		var y = 10;

		// Draw the sprite to the screen
		try {
			context.drawImage(
				resource,			// Resource object
				sourceX,			// Source X position
				0,					// Source Y position
				this.width,			// Source width
				this.height,		// Source height
				x,					// Target X position
				y,					// Target Y position
				this.renderWidth,	// Target width
				this.renderHeight	// Target height
			);
		}
		catch(e) {
			console.debug(this.name + ".drawImage(" + resource + ",0,0," + this.width + "," + this.height + "," + x + "," + y + "," + this.width + "," + this.height + ")");
		}
	}

	return this.sprite;
}

function sprite_fg_matte(p) {
	p.type = "scenery";
	p.name = "fg_matte";
	p.src = "images/sprites/null.png";

	this.sprite = new sprite(p);

	this.sprite.color = (typeof p.color == "string") ? p.color : "#000000";

	this.sprite.editorHints.push({
		field: "generateSize",
		type: "flag"
	}, {
		field: "color",
		label: "Color:",
		type: "text",
		maxlength: 7,
		value: "#000000"
	});

	this.sprite.render = function(resource, context, gs, renderPoint) {
		// Draw the sprite to the screen
		try {
			context.fillStyle = this.color;
			context.fillRect(
				renderPoint.x,		// Target X position
				renderPoint.y,		// Target Y position
				this.renderWidth,	// Target width
				this.renderHeight	// Target height
			);
		}
		catch(e) {
			console.debug(e);
		}
	};
	return this.sprite;
}

function sprite_black(p) {
	p.type = "scenery";
	p.name = "black";
	p.src = "images/sprites/null.png";
	p.collideWidth = p.renderWidth = (typeof p.width == "number") ? p.width : 50;
	p.collideHeight = p.renderHeight = (typeof p.height == "number") ? p.height : 50;

	p.width = 1;
	p.height = 1;

	this.sprite = new sprite(p);

	this.sprite.fadeIn = (typeof p.fade == "string" && p.fade == "in");

	this.sprite.opacity = (this.sprite.fadeIn) ? 0.0 : 1.0;
	this.sprite.fade = false;

	this.sprite.logic = function(engine) {
		if(this.fade)
			this.opacity = (this.fadeIn) ? this.opacity + .01 : this.opacity - .01;

		if(!this.fadeIn && this.opacity <= 0)
			engine.destroySprite(this.id, true);
	};

	this.sprite.render = function(resource, context, gs) {
		context.fillStyle = "rgba(0, 0, 0, " + this.opacity + ")";
		context.fillRect(0, 0, gs.width, gs.height);
	};

	return this.sprite;
}