/**
 * @author Torgie
 */
function sprite_bg2_bird(p) {
	p.type = "enemy";
	p.name = "bg2_bird";
	p.src = {
		flap: "images/sprites/world1/bg2_bird_flap.png"
	};
	p.width = 41;
	p.height = 40;

	this.sprite = new sprite(p);

	this.sprite.currentAnimation = "flap";
	this.sprite.animation = {
		flap: {
			frames: 3,
			currentFrame: 0,
			flipEvery: 20,
			flip: 0
		},
	};

	this.sprite.facingRight = false;

	this.sprite.speedX = -4;

	// Declare the logic step
	this.sprite.logic = function(engine) {

		// Which way are we facing?
		this.facingRight = (this.speedX >= 0)

		// Jump out at the player.  rar!
		if(this.x - engine.gs.playerX >= 400)
			return;

		// Update those positions
		this.x += (this.speedX * engine.gs.worldSpeed);
		this.y += (this.speedY * engine.gs.worldSpeed);

		if(this.x <= -80)
			engine.destroySprite(this.id);

		// Update the frameFlip contribution
		this.animation[this.currentAnimation].flip += (Math.abs(this.speedX) * engine.gs.worldSpeed);
	};//end function logic

	return this.sprite;
}

function sprite_gp_bird(p) {
	p.type = "enemy";
	p.name = "gp_bird";
	p.src = {
		launch: "images/sprites/world1/gp_bird_launch.png",
		flap: "images/sprites/world1/gp_bird_flap.png"
	};
	p.width = 49;
	p.height = 52;

	this.sprite = new sprite(p);
	this.sprite.idle = true;

	this.sprite.collideWidth = 35;
	this.sprite.collideHeight = 20;
	this.sprite.collideOffsetX = 9;
	this.sprite.collideOffsetY = 12;

	this.sprite.currentAnimation = "launch";
	this.sprite.animation = {
		launch: {
			frames: 3,
			currentFrame: 0,
			flipEvery: 20,
			flip: 0
		},
		flap: {
			frames: 3,
			currentFrame: 0,
			flipEvery: 20,
			flip: 0
		},
	};

	this.sprite.facingRight = false;

	// Declare the logic step
	this.sprite.logic = function(engine) {
		// Jump out at the player.  rar!
		if(this.x - engine.gs.playerX >= 400 && this.idle)
			return;

		if (this.x - engine.gs.playerX < 400 && this.idle) {
			this.idle = false;
			this.speedX = -6;
		}

		// Update those positions
		this.x += (this.speedX * engine.gs.worldSpeed);
		this.y += (this.speedY * engine.gs.worldSpeed);

		if(this.x <= -80)
			engine.destroySprite(this.id);

		// Update the frameFlip contribution
		var a = this.animation[this.currentAnimation];
		a.flip += (Math.abs(this.speedX) * engine.gs.worldSpeed);

		if (this.currentAnimation == "launch" && a.flip >= a.flipEvery && a.currentFrame >= a.frames - 1)
			this.setAnimation("flap");
	};//end function logic

	this.sprite.debugRender = function(resource, context, gs, renderPoint) {
		context.fillStyle = "rgba(255, 255, 255, 0.5)";
		context.fillRect(
			renderPoint.x + this.collideOffsetX,
			renderPoint.y + this.collideOffsetY,
			this.collideWidth,
			this.collideHeight
		);
	};//end function render

	return this.sprite;
}//end object