/**
 * @author Torgie
 */
function sprite_gp_boss_roar(p) {
	p.type = "enemy";
	p.name = "gp_boss_roar";
	p.src = {
		roar: "images/sprites/world1/gp_bosswerewolf_roar.png"
	};
	p.width = 183;
	p.height = 230;

	this.sprite = new sprite(p);

	this.sprite.animation = {
		roar: {
			frames: 2,
			currentFrame: 0,
			flipEvery: 1,
			flip: 0
		}
	};

	this.sprite.audio = {
		sfx: {
			src: [
				"sfx/world1/growl.ogg",
				"sfx/world1/growl.mp3"
			]
		},
		stomp: {
			src: [
				"sfx/world1/stomp.ogg",
				"sfx/world1/stomp.mp3"
			]
		}
	};

	this.sprite.facingRight = true;
	this.sprite.currentAnimation = "roar";

	// Declare the logic step
	this.sprite.logic = function(engine) {
		this.animation.roar.flip += 1;
	};//end function logic

	return this.sprite;
}//end object

function sprite_gp_boss_pounce(p) {
	p.type = "enemy";
	p.name = "gp_boss_pounce";
	p.src = {
		pounce: "images/sprites/world1/gp_bosswerewolf_pounce.png"
	};
	p.width = 289;
	p.height = 160;

	this.sprite = new sprite(p);

	this.sprite.facingRight = true;

	this.sprite.currentAnimation = "pounce";
	this.sprite.animation = {
		pounce: {
			frames: 2,
			currentFrame: 0,
			flipEvery: 2,
			flip: 0
		}
	};

	// Declare the logic step
	this.sprite.logic = function(engine) {
		this.animation.pounce.flip += 1;

		this.speedY += engine.gs.gravity;

		// Update those positions
		this.x += (this.speedX * engine.gs.worldSpeed);
		this.y += (this.speedY * engine.gs.worldSpeed);
	};//end function logic

	return this.sprite;
}//end object

function sprite_gp_boss_feast(p) {
	p.type = "enemy";
	p.name = "gp_boss_feast";
	p.src = {
		feast: "images/sprites/world1/gp_bosswerewolf_feast.png"
	};
	p.width = 222;
	p.height = 140;

	this.sprite = new sprite(p);

	this.sprite.facingRight = true;

	this.sprite.currentAnimation = "feast";
	this.sprite.animation = {
		feast: {
			frames: 4,
			currentFrame: 0,
			flipEvery: 2,
			flip: 0
		}
	};

	// Declare the logic step
	this.sprite.logic = function(engine) {
		this.animation.feast.flip += 1;
	};//end function logic

	return this.sprite;
}//end object