/**
 * @author Torgie
 */

function sprite_bg1_cave(p) {
	p.type = "scenery";
	p.name = "bg1_cave";
	p.src = "images/sprites/world1/bg1_cave.png";
	p.width = 240;
	p.height = 240;

	this.sprite = new sprite(p);
	return this.sprite;
}

function sprite_fg_cave(p) {
	p.type = "scenery";
	p.name = "fg_cave";
	p.src = "images/sprites/world1/fg_cave.png";
	p.width = 240;
	p.height = 240;

	this.sprite = new sprite(p);
	return this.sprite;
}

function sprite_fg_waterfall(p) {
	p.type = "scenery";
	p.name = "fg_waterfall";
	p.src = {
		idle: "images/sprites/world1/fg_waterfall_loop.png",
		drain: "images/sprites/world1/fg_waterfall_drain.png"
	};
	p.width = 240;
	p.height = 292;

	this.sprite = new sprite(p);
	this.sprite.audio = {
		loop: {
			src: [
				"sfx/world1/waterfallLoop.ogg",
				"sfx/world1/waterfallLoop.wav"
			],
			volume: 0,
			loop: true
		}
	}

	this.sprite.currentAnimation = "idle";
	this.sprite.animation = {
		idle: {
			frames: 3,
			currentFrame: 0,
			flipEvery: 2,
			flip: 0
		},
		drain: {
			frames: 6,
			currentFrame: 0,
			flipEvery: 20,
			flip: 0
		}
	};

	this.sprite.range = 600;
	this.sprite.tally = 0;

	this.sprite.logic = function(engine){

		if (this.first) {
			engine.playAudio("fg_waterfall_loop");
			this.first = false;
		}

		this.animation[this.currentAnimation].flip += 1;
		if(this.animation[this.currentAnimation].flip > this.animation[this.currentAnimation].flipEvery && this.currentAnimation == "drain")
			this.tally++;
		if(this.tally >= 6)
			engine.destroySprite(this.id, true);

		var distance = Math.round(this.x - engine.gs.playerX);

		if(distance <= 0)
			engine.audio.fg_waterfall_loop.volume = 0.2;
		else if (distance <= this.range) {
			var volume = (this.range - distance) / this.range;
			if(volume > 0.2)
				volume = 0.2;
			engine.audio.fg_waterfall_loop.volume = volume;
		}
		else if (distance > this.range)
			engine.audio.fg_waterfall_loop.volume = 0;
	};//end function logic

	return this.sprite;
}


