/**
 * @author Torgie
 */
function sprite_fg_text01(p) {
	p.type = "scenery";
	p.name = "fg_text01";
	p.src = "images/sprites/world1/text_01.png";
	p.width = 200;
	p.height = 50;

	this.sprite = new sprite(p);
	return this.sprite;
}
function sprite_fg_text02(p) {
	p.type = "scenery";
	p.name = "fg_text02";
	p.src = "images/sprites/world1/text_02.png";
	p.width = 200;
	p.height = 50;

	this.sprite = new sprite(p);
	return this.sprite;
}
function sprite_fg_text03(p) {
	p.type = "scenery";
	p.name = "fg_text03";
	p.src = "images/sprites/world1/text_03.png";
	p.width = 200;
	p.height = 50;

	this.sprite = new sprite(p);
	return this.sprite;
}

function sprite_cutscene_waterfall(p) {
	p.name = "cutscene_waterfall";
	p.color = "#44FF44";

	this.sprite = new sprite_invisible(p);

	var self = this.sprite;
	var engine = null;
	var p1 = null;
	var cas = null;

	this.sprite.p1 = null;
	this.sprite.collide = function(engineSource, hit) {
		switch (hit.type) {
			case "player":
				engine = engineSource;
				p1 = engine.getSprite("p1");

				engine.destroySprite(this.id, true);
				this.s01();
				break;
		}
	};

	this.sprite.cameraTimer = null;
	this.sprite.originalCameraX = 0;
	this.sprite.s01 = function() {
		engine.gs.keyControl = false;
		engine.gs.clearKeys();

		setTimeout(function(){
			p1.speedX = 0;
			p1.facingRight = true;
			p1.setAnimation("worry");
			p1.controlCamera = false;
		}, 300);
	
		self.originalCameraX = engine.gs.cameraX;

		engine.declareSprite("game", new sprite_gp_boss_roar({
			x: 9100,
			y: 198,
			uniqueID: "bossRoar"
		}));

		setTimeout(function() {
			// Make sure he's worried, just in case
			p1.setAnimation("worry");
			self.s02();
		}, 1500);
	};

	this.sprite.s02 = function() {
		self.cameraTimer = setInterval(function() {

			engine.updateCamera(engine.gs.cameraX + 20, engine.gs.cameraY);
			mB.stage = 1;
			var audioInterval = setInterval(function() {
				var volume = engine.audio.sfx_world1_bgm.volume;
				if (volume <= 0.05) {
					engine.audio.sfx_world1_bgm.volume = 0;
					clearInterval(audioInterval);
					return;
				}
				else {
					engine.audio.sfx_world1_bgm.volume = volume - 0.05;
				}
			}, 300);

			if(engine.gs.cameraX >= 8600) {
				clearInterval(self.cameraTimer);
				sB = engine.getSprite("sfxButton");
				if(sB.currentAnimation == "on")
					engine.playAudio("gp_boss_roar_sfx");
				setTimeout(function() {
					self.s03();
				}, 1500);
			}
		}, engine.gs.fps);
	};

	this.sprite.s03 = function() {
		self.cameraTimer = setInterval(function() {
			engine.updateCamera(engine.gs.cameraX - 20, engine.gs.cameraY);

			if(engine.gs.cameraX <= self.originalCameraX) {
				clearInterval(self.cameraTimer);
				engine.destroySprite("bossRoar", true);
				self.s04();
			}
		}, engine.gs.fps);
	};

	this.sprite.shakes = 0;
	this.sprite.shakeTimer = null;
	this.sprite.s04 = function() {
		p1.controlCamera = true;

		self.shakeTimer = setInterval(function() {
			engine.gs.cameraShake = 40;
			if(sB.currentAnimation == "on")
				engine.playAudio("gp_boss_roar_stomp");
			self.shakes++;
			if(self.shakes > 3) {
				clearInterval(self.shakeTimer);
				setTimeout(function() {
					self.s05();
				}, 200);
			}
		}, 1100);
	};

	this.caspianTimer = null;
	this.sprite.s05 = function() {
		engine.declareSprite("game", new sprite_gp_caspian({
			x: 7350,
			y: 100,
			uniqueID: "caspian"
		}));
		cas = engine.getSprite("caspian");

		cas.impulseRight = true;
		self.caspianTimer = setInterval(function() {
			if(cas.x > 7810) {
				clearInterval(self.caspianTimer);
				cas.impulseRight = false;
				self.s05b();
			}
		}, engine.gs.fps);
	};

	this.sprite.s05b = function() {
		
		var audioInterval = setInterval(function() {
			var volume = engine.audio.sfx_world1_bgm.volume;
			if (volume >= 0.4 && mB.currentAnimation == "on") {
				engine.audio.sfx_world1_bgm.volume = 0.4;
				clearInterval(audioInterval);
				mb.stage = 0;
				return;
			}
			else if (mB.currentAnimation == "on"){
				engine.audio.sfx_world1_bgm.volume = volume + 0.05;
			}
			else
				engine.audio.sfx_world1_bgm.volume = 0;
				clearInterval(audioInterval);
				mb.stage = 0;
		}, 200);

		cas.setAnimation("speak");
		engine.declareSprite("foreground", new sprite_fg_text01({
			x: cas.x - 50,
			y: cas.y - 50,
			uniqueID: "text01"
		}));
		setTimeout(function(){
			self.s06();
		}, 2000);
	};

	this.sprite.s06 = function() {
		engine.destroySprite("text01", true);
		setTimeout(function() {
			engine.declareSprite("foreground", new sprite_fg_text02({
				x: cas.x - 50,
				y: cas.y - 50,
				uniqueID: "text02"
			}));
			setTimeout(function() {
				self.s07();
			}, 3000);
		}, 500);
	};

	this.sprite.s07 = function() {
		engine.destroySprite("text02", true);
		setTimeout(function() {
			engine.declareSprite("foreground", new sprite_fg_text03({
				x: cas.x - 50,
				y: cas.y - 50,
				uniqueID: "text03"
			}));
			setTimeout(function() {
				self.s08();
			}, 1500);
		}, 500);
	};

	this.pounceTimer = null;
	this.sprite.s08 = function() {
		engine.declareSprite("game", new sprite_gp_boss_pounce({
			x: 8300,
			y: -160,
			speedX: -18,
			speedY: 10,
			uniqueID: "bossPounce"
		}));
		var boss = engine.getSprite("bossPounce");

		self.pounceTimer = setInterval(function() {
			if(boss.y > 268) {
				clearInterval(self.pounceTimer);
				self.s09();
			}
		}, engine.gs.fps);
	};

	this.sprite.s09 = function() {
		var boss = engine.getSprite("bossPounce");

		engine.destroySprite("text03", true);
		engine.destroySprite("caspian", true);
		engine.destroySprite("bossPounce", true);

		p1.speedY = -5;
		p1.speedX = -1;
		engine.gs.shakeCamera = 10;

		engine.declareSprite("game", new sprite_redSplode({
			x: boss.x + 8,
			y: boss.y + 40,
			uniqueID: "bossFeast"
		}));
		var boss = engine.getSprite("bossFeast");

		engine.declareSprite("background1", new sprite_gp_boss_feast({
			x: boss.x,
			y: 288
		}));

		var splodeNum = 0;
		var splodeInterval = setInterval(function(){
			splodeNum++;
			if (splodeNum >= 15)
				clearInterval(splodeInterval);
			else {
				engine.declareSprite("foreground", new sprite_redSplode({
					x: boss.x - 10 + ( (Math.random() * 50 + 1) - 25),
					y: boss.y + 40 + ( (Math.random() * 50 + 1) - 25)
				}));
			}
		}, 300);
		
		setTimeout(function() {
			self.s10();
		}, 2500);
	};

	this.sprite.s10 = function() {
		engine.gs.keyControl = true;
		p1.setAnimation("idle");
		engine.declareSprite("game", new sprite_gp_werewolf({
			x: 7350,
			y: 50,
			transform: true,
			uniqueID: "were"
		}));
	};

	return this.sprite;
}