/**
 * @author Torgie
 */

// Initialize our text elements
for(var i = 4; i <= 15; i++) {
	var number = (i < 10) ? "0" + i : i;
	eval('\
		function sprite_fg_text' + number + '(p) {\
			p.type = "scenery";\
			p.name = "fg_text' + number + '";\
			p.src = "images/sprites/world1/text_' + number + '.png";\
			p.width = 200;\
			p.height = 50;\
			this.sprite = new sprite(p);\
			return this.sprite;\
		}\
	');
}


function sprite_cutscene_grandpa(p){
	p.name = "cutscene_grandpa";
	p.color = "#44FF44";

	this.sprite = new sprite_invisible(p);

	var self = this.sprite;
	var engine = null;
	var p1 = null;
	var gpa = null;
	var wd = null;

	var shakeInterval = null;

	this.sprite.collide = function(engineSource, hit){
		switch (hit.type) {
			case "player":
				engine = engineSource;
				p1 = engine.getSprite("p1");
				gpa = engine.getSprite("gpa");
				wf = engine.getSprite("wf");
				engine.destroySprite(this.id, true);
				mB = engine.getSprite("musicButton");
				mB.stage = 1;
				var audioInterval = setInterval(function() {
					var volume = engine.audio.sfx_world1_bgm.volume;
					if (volume <= 0.05) {
						engine.audio.sfx_world1_bgm.volume = 0;
						clearInterval(audioInterval);
						return;
					}
					else {
						engine.audio.sfx_world1_bgm.volume -= 0.05;
					}
				}, 200);
				// Crossfade with grandpa's theme
				engine.audio.gp_grandpa_bgm.volume = 0;
				engine.playAudio("gp_grandpa_bgm");
				sB = engine.getSprite("sfxButton");
				mB = engine.getSprite("musicButton");
				var audioInterval2 = setInterval(function() {
					var volume = engine.audio.gp_grandpa_bgm.volume;
					if (volume >= 0.5 && mB.currentAnimation == "on") {
						mB.stage = 2;
						engine.audio.gp_grandpa_bgm.volume = 0.5;
						clearInterval(audioInterval2);
						return;
					}
					else if (mB.currentAnimation == "on"){
						engine.audio.gp_grandpa_bgm.volume = volume + 0.05;
					}
					else {
						engine.audio.gp_grandpa_bgm.volume = 0;
						clearInterval(audioInterval2);
						mB.stage = 2;
					}
				}, 200);


				this.s01();
				break;
		}
	};

	this.sprite.s01 = function() {
		engine.gs.keyControl = false;
		engine.gs.clearKeys();

		p1.facingRight = false;

		engine.declareSprite("game", new sprite_fg_text04({
			x: 9220,
			y: 280,
			uniqueID: "text04"
		}));

		setTimeout(function() {
			gpa.animation.crouch.flip++;
			p1.setAnimation("idle");
		}, 900);
		setTimeout(function() {
			gpa.animation.crouch.flip++;
		}, 1100);

		setTimeout(function() {
			self.s02();
		}, 1500);
	};

	this.sprite.s02 = function() {
		p1.setAnimation("idle");
		gpa.impulseRight = true;
		setTimeout(function() {
			self.s03();
		}, 1000);
	};
 
	this.sprite.s03 = function() {
		gpa.impulseRight = false;
		engine.destroySprite("text04");

		engine.declareSprite("foreground", new sprite_fg_text05({
			x: 9380,
			y: 300,
			uniqueID: "text05"
		}));
		p1.setAnimation("speak");

		setTimeout(function() {
			self.s04();
		}, 2000);
	};

	this.sprite.s04 = function() {
		engine.destroySprite("text05");
		engine.declareSprite("foreground", new sprite_fg_text06({
			x: 9380,
			y: 300,
			uniqueID: "text06"
		}));
		setTimeout(function() {
			self.s05();
		}, 3000);
	};

	this.sprite.s05 = function(){
		p1.setAnimation("idle");
		gpa.setAnimation("speak");
		engine.destroySprite("text06");
		engine.declareSprite("foreground", new sprite_fg_text07({
			x: 9230,
			y: 280,
			uniqueID: "text07"
		}));
		setTimeout(function() {
			self.s06();
		}, 3000);
	};

	this.sprite.s06 = function(){
		gpa.impulseRight = true;
		setTimeout(function() {
			gpa.impulseRight = false;
			gpa.setAnimation("point");
		}, 700);
		engine.destroySprite("text07");
		engine.declareSprite("foreground", new sprite_fg_text08({
			x: 9290,
			y: 280,
			uniqueID: "text08"
		}));
		setTimeout(function() {
			self.s07();
		}, 2000);
	};

	this.sprite.s07 = function(){
		engine.gs.keyRight = true;
		setTimeout(function() {
			engine.gs.keyRight = false;
			p1.setAnimation("worry");
		}, 600);

		setTimeout(function() {
			self.s08();
		}, 2000);
	};

	this.sprite.s08 = function(){
		engine.destroySprite("text08");
		engine.declareSprite("foreground", new sprite_fg_text09({
			x: 9520,
			y: 300,
			uniqueID: "text09"
		}));

		setTimeout(function() {
			gpa.impulseRight = true;
			setTimeout(function() {
				gpa.impulseRight = false;
			}, 3000);
		}, 1200);

		setTimeout(function() {
			self.s09();
		}, 3000);
	};

	this.sprite.s09 = function(){
		gpa.setAnimation("speak");

		setTimeout(function() {
			p1.setAnimation("idle");
			p1.facingRight = false;
		}, 1500);

		engine.destroySprite("text09");
		engine.declareSprite("foreground", new sprite_fg_text10({
			x: 9455,
			y: 280,
			uniqueID: "text10"
		}));

		setTimeout(function() {
			self.s10();
		}, 2500);
	}

	this.sprite.s10 = function(){
		engine.gs.keyLeft = true;
		engine.destroySprite("text10", true);
		setTimeout(function() {
			engine.gs.keyLeft = false;
			p1.facingRight = true;
			p1.setAnimation("idle");
			
		}, 1000);

		setTimeout(function() {
			gpa.setAnimation("spell");
			setTimeout(function() {
				self.s11();
			}, 1000);
		}, 1500);
	}

	this.sprite.s11 = function(){
		engine.destroySprite("text11");
		shakeInterval = setInterval(function() {
			engine.gs.cameraShake = 10;
		}, 100);
		engine.playAudio("gp_grandpa_rumble");
		rumbleAudioInterval = setInterval(function() {
			if (sB.currentAnimation == "off")
				engine.audio.gp_grandpa_rumble.volume = 0;
			else
				engine.audio.gp_grandpa_rumble.volume = 1;
		}, 400);
		setTimeout(function() {
			wf.setAnimation("drain");
			setTimeout(function() {
				self.s12();
			}, 4000);
		}, 3000);
	};

	this.sprite.s12 = function() {
		gpa.setAnimation("crouch");
		engine.pauseAudio("gp_grandpa_rumble");
		clearInterval(shakeInterval);
		clearInterval(rumbleAudioInterval);
		setTimeout(function() {
			gpa.animation.crouch.flip += 1;
		}, 500);
		setTimeout(function() {
			gpa.animation.crouch.flip += 1;
			engine.gs.keyRight = true;
		}, 600);

		setTimeout(function() {
			engine.gs.keyRight = false;
			p1.setAnimation("idle");
		}, 800);

		setTimeout(function() {
			gpa.setAnimation("run");
			gpa.impulseLeft = true;
		}, 2600);
		setTimeout(function() {
			gpa.impulseLeft = false;
			gpa.setAnimation("idle");
			self.s13();
		}, 2900);
	};

	this.sprite.s13 = function() {
		p1.setAnimation("speak");
		engine.declareSprite("foreground", new sprite_fg_text11({
			x: 9322,
			y: 300,
			uniqueID: "text11"
		}));
		setTimeout(function() {
			self.s14();
		}, 3000);
	};

	this.sprite.s14 = function() {
		p1.setAnimation("idle");
		gpa.setAnimation("speak");
		engine.destroySprite("text11", true);

		engine.declareSprite("foreground", new sprite_fg_text12({
			x: 9435,
			y: 280,
			uniqueID: "text12"
		}));
		setTimeout(function() {
			self.s15();
		}, 3000);
	};

	this.sprite.s15 = function() {
		engine.destroySprite("text12", true);
		engine.declareSprite("foreground", new sprite_fg_text13({
			x: 9435,
			y: 280,
			uniqueID: "text13"
		}));
		setTimeout(function() {
			self.s16();
		}, 3000);
	};

	this.sprite.s16 = function(){
		engine.destroySprite("text13", true);
		engine.declareSprite("foreground", new sprite_fg_text14({
			x: 9435,
			y: 280,
			uniqueID: "text14"
		}));
		setTimeout(function() {
			self.s17();
		}, 3000);
	};

	this.sprite.s17 = function(){
		engine.destroySprite("text14", true);
		gpa.setAnimation("point");
		gpa.speedY = -2;
		gpa.speedX = -2;
		p1.speedY = -2;
		p1.speedX = -2;
		p1.setAnimation("worry");

		engine.declareSprite("foreground", new sprite_fg_text15({
			x: 9435,
			y: 280,
			uniqueID: "text15"
		}));

		setTimeout(function() {
			engine.gs.keyRight = true;
		}, 400);
	};

	return this.sprite;
}