/**
 * @author Torgie
 */
function sprite_gp_block40(p) {
	p.type = "object";
	p.name = "gp_block40";
	p.src = "images/sprites/world1/gp_block40.png";

	p.width = 40;
	p.height = 40;

	// Generate the sprite
	this.sprite = new sprite(p);

	this.sprite.audio = {
		sfx: {
			src: [
				"sfx/blockBreak.ogg",
				"sfx/blockBreak.wav"
			]
		}
	};

	this.sprite.broken = (typeof p.broken == "boolean") ? p.broken : false;
	this.sprite.breakImpulseX = 6; 
	this.sprite.breakImpulseY = 10;

	this.sprite.destroy = function(engine, i, j) {
		if (!this.broken) {
			for (var n = 0; n < 4; n++) {
				// Create 4 new sprites in the background1 layer (non-colliding)
				engine.declareSprite("background1", new sprite_gp_block40({
					broken: true,
					renderWidth: this.width / 2,
					renderHeight: this.height / 2,
					x: (n % 2 == 0) ? this.x : (this.x + (this.width / 2)),
					y: (n >= 2) ? this.y : (this.y + (this.height / 2)),
					speedX: Math.floor(Math.random() * this.breakImpulseX + (this.breakImpulseX / 2)) - this.breakImpulseX,
					speedY: Math.floor(Math.random() * 2) - this.breakImpulseY
				}));
				sB = engine.getSprite("sfxButton");
				if(sB.currentAnimation == "on")
					engine.playAudio("gp_block40_sfx");
			}
		}
		engine.sprites[i][j] = null;
	};

	this.sprite.logic = function(engine) {
		if(!this.broken)
			return;
		this.speedY += engine.gs.gravity;
		this.y += (this.speedY * engine.gs.worldSpeed);
		this.x += (this.speedX * engine.gs.worldSpeed);

		if(this.y > engine.gs.height)
			engine.destroySprite(this.id);
	};

	// This is the fancy part - return our internal sprite
	return this.sprite;
}

function sprite_fg_busted_block40(p) {
	p.type = "scenery";
	p.name = "fg_busted_block40";
	p.src = "images/sprites/world1/fg_busted_block40.png";
	p.width = 30;
	p.height = 30;

	this.sprite = new sprite(p);
	return this.sprite;
}
