/**
 * @author Torgie/Flanagan
 */
function sprite_fg_stage1(p) {
	p.type = "scenery";
	p.name = "fg_stage1";
	p.src = {
		idle: "images/sprites/world1/stage1.png"
	};
	p.width = 191;
	p.height = 152;
	this.sprite = new sprite(p);	
	
	this.sprite.currentAnimation = "idle";
	this.sprite.animation = {
		idle: {
			frames: 2,
			currentFrame: 0,
			flipEvery: 6,
			flip: 0
		}
	};

	var engine = null;
	
	this.sprite.logic = function(engine) {
		this.x = (engine.gs.cameraX + 330)
		if (engine.gs.playerX > 200)
			this.animation[this.currentAnimation].flip += 1;
		if (engine.gs.playerX > 500)
			engine.destroySprite(this.id, true);
	};
	return this.sprite;
}

function sprite_fg_boulder(p) {
	p.type = "scenery";
	p.name = "fg_boulder";
	p.src = "images/sprites/world1/fg_boulder.png";
	p.width = 58;
	p.height = 55;

	this.sprite = new sprite(p);
	return this.sprite;
}

function sprite_gp_solidblock40(p) {
	p.type = "ground";
	p.name = "gp_solidblock40";
	p.src = "images/sprites/world1/gp_solidblock40.png";
	p.width = 40;
	p.height = 40;
	this.sprite = new sprite(p);
	return this.sprite;
}

function sprite_fg_fern1(p) {
	p.type = "scenery";
	p.name = "fg_fern1";
	p.src = "images/sprites/world1/fg_fern1.png";
	p.width = 116;
	p.height = 51;

	this.sprite = new sprite(p);
	return this.sprite;
}

function sprite_fg_fern1_lrg(p) {
	p.type = "scenery";
	p.name = "fg_fern1_lrg";
	p.src = "images/sprites/world1/fg_fern1_lrg.png";
	p.width = 232;
	p.height = 102;

	this.sprite = new sprite(p);
	return this.sprite;
}

function sprite_fg_fern2(p) {
	p.type = "scenery";
	p.name = "fg_fern2";
	p.src = "images/sprites/world1/fg_fern2.png";
	p.width = 91;
	p.height = 51;

	this.sprite = new sprite(p);
	return this.sprite;
}

function sprite_fg_grass1(p) {
	p.type = "scenery";
	p.name = "fg_grass1";
	p.src = "images/sprites/world1/fg_grass1.png";
	p.width = 163;
	p.height = 18;

	this.sprite = new sprite(p);
	return this.sprite;
}

function sprite_fg_grass2(p) {
	p.type = "scenery";
	p.name = "fg_grass2";
	p.src = "images/sprites/world1/fg_grass2.png";
	p.width = 163;
	p.height = 18;

	this.sprite = new sprite(p);
	return this.sprite;
}

function sprite_fg_thornbush1(p) {
	p.type = "scenery";
	p.name = "fg_thornbush1";
	p.src = "images/sprites/world1/fg_thornbush1.png";
	p.width = 294;
	p.height = 93;

	this.sprite = new sprite(p);
	return this.sprite;
}

function sprite_fg_thornbush1_lrg(p) {
	p.type = "scenery";
	p.name = "fg_thornbush1_lrg";
	p.src = "images/sprites/world1/fg_thornbush1_lrg.png";
	p.width = 588;
	p.height = 186;

	this.sprite = new sprite(p);
	return this.sprite;
}

function sprite_fg_thornbush2(p) {
	p.type = "scenery";
	p.name = "fg_thornbush2";
	p.src = "images/sprites/world1/fg_thornbush2.png";
	p.width = 294;
	p.height = 93;

	this.sprite = new sprite(p);
	return this.sprite;
}

function sprite_fg_thornbush2_lrg(p) {
	p.type = "scenery";
	p.name = "fg_thornbush2_lrg";
	p.src = "images/sprites/world1/fg_thornbush2_lrg.png";
	p.width = 588;
	p.height = 186;

	this.sprite = new sprite(p);
	return this.sprite;
}

function sprite_fg_thornbush3(p) {
	p.type = "scenery";
	p.name = "fg_thornbush3";
	p.src = "images/sprites/world1/fg_thornbush3.png";
	p.width = 197;
	p.height = 93;

	this.sprite = new sprite(p);
	return this.sprite;
}

/**
 * Pillars
 * @param {Object} p
 */
function sprite_fg_pillar(p) {
	p.type = "scenery";
	p.name = "fg_pillar";
	p.src = "images/sprites/world1/fg_pillar.png";
	p.width = 40;
	p.height = 160;

	this.sprite = new sprite(p);
	return this.sprite;
}

function sprite_bg1_pillar(p) {
	p.type = "scenery";
	p.name = "bg1_pillar";
	p.src = "images/sprites/world1/bg1_pillar.png";
	p.width = 40;
	p.height = 160;

	this.sprite = new sprite(p);
	return this.sprite;
}

function sprite_bg2_pillar(p) {
	p.type = "scenery";
	p.name = "bg2_pillar";
	p.src = "images/sprites/world1/bg2_pillar.png";
	p.width = 25;
	p.height = 100;

	this.sprite = new sprite(p);
	return this.sprite;
}